NOSQL_QUERY_EXECUTE(1)

NAME
nosql_query_execute -

DESCRIPTION

Execute a SQL query.

USAGE

oci nosql query execute [OPTIONS]

REQUIRED PARAMETERS

--compartment-id, -c [text]

    Compartment OCID, to provide context for a table name in the given statement.

--statement [text]

    A NoSQL SQL query statement; or a Base64-encoded prepared statement.

OPTIONAL PARAMETERS

--consistency [text]

    Consistency requirement for a read operation.

    Accepted values are:

    ABSOLUTE, EVENTUAL

--from-json [text]

    Provide input to this command as a JSON document from a file using the file://path-to/file syntax.

    The --generate-full-command-json-input option can be used to generate a sample json file to be used with this command option. The key names are pre-populated and match the command option names (converted to camelCase format, e.g. compartment-id --> compartmentId), while the values of the keys need to be populated by the user before using the sample file as an input to this command. For any command option that accepts multiple values, the value of the key can be a JSON array.

    Options can still be provided on the command line. If an option exists in both the JSON document and the command line then the command line specified value will be used.

    For examples on usage of this option, please see our "using CLI with advanced JSON options" link: https://docs.cloud.oracle.com/iaas/Content/API/SDKDocs/cliusing.htm#AdvancedJSONOptions

--is-prepared [boolean]

    If true, the statement is a prepared statement.

--limit [integer]

    The maximum number of items to return.

--max-read-in-kbs [integer]

    A limit on the total amount of data read during this operation, in KB.

--page [text]

    The page token representing the page at which to start retrieving results. This is usually retrieved from a previous list call.

--timeout-in-ms [integer]

    Timeout setting for the query.

--variables [complex type]

    A map of prepared statement variables to values. This is a complex type whose value must be valid JSON. The value can be provided as a string on the command line or passed in as a file using the file://path/to/file syntax.

    The --generate-param-json-input option can be used to generate an example of the JSON which must be provided. We recommend storing this example in a file, modifying it as needed and then passing it back in via the file:// syntax.

GLOBAL PARAMETERS

Use oci --help for help on global parameters.

--auth, --cert-bundle, --cli-rc-file, --config-file, --debug, --defaults-file, --endpoint, --generate-full-command-json-input, --generate-param-json-input, --help, --no-retry, --opc-client-request-id, --opc-request-id, --output, --profile, --query, --raw-output, --region, --request-id, --version, -?, -d, -h, -v

AUTHOR
Oracle

COPYRIGHT
2016, 2020, Oracle